.map {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-flow: row wrap;
  height: 50vh;

  &__message {
    font-size: 68px;
  }

  &__place {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column wrap;
    margin: 50px auto;
    cursor: pointer;

    &__city {
      font-size: 18px;
    }

    &__coordinates {
      font-size: 16px;
    }
  }

  &__gallery {
    margin: 50px auto;

    &__photos {
      display: flex;
      justify-content: center;
      align-items: center;
      flex-flow: row wrap;
      &__photo {
        width: 200px;
        height: 200px;
        margin: 10px;

        & img {
          width: 100%;
          height: 100%;
        }
      }
    }
  }

  &__footer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: row wrap;
    margin: 25px auto;
    position: fixed;
    bottom: 0;

    &__btn {
      color: #fff;
      cursor: pointer;
      background-color: gray;
      border-radius: 50px;
      line-height: 1.5;
      font-size: 16px;
      font-weight: 700;
      margin: 0 15px;
      padding: 10px 20px;
      text-transform: uppercase;
      user-select: none;
      transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
        border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;

      &:hover {
        color: #fff;
      }
    }
  }
}
